Npcap
==========

[![Build status](https://ci.appveyor.com/api/projects/status/woero8l6qhgy4syx?svg=true)](https://ci.appveyor.com/project/dmiller-nmap/npcap)
![Environment](https://img.shields.io/badge/Windows-7,%208,%208.1,%2010,%2011-brightgreen.svg)
[![Release](https://img.shields.io/github/release/nmap/npcap.svg)](https://npcap.com/#download)
[![Issues](https://img.shields.io/github/issues/nmap/npcap.svg)](https://github.com/nmap/npcap/issues)

[**Npcap**](https://npcap.com) is a packet capture and injection library for
Windows by the [**Nmap Project**](https://nmap.org). It is a complete update to
the unmaintained [**WinPcap**](http://www.winpcap.org/) project with improved
speed, reliability, and security.

## Documentation

The complete documentation for Npcap is available in the [Npcap
Guide](https://npcap.com/guide/) on [npcap.com](https://npcap.com/). There you
will find information about
[installation](https://npcap.com/guide/npcap-users-guide.html#npcap-installation),
[reporting
bugs](https://npcap.com/guide/npcap-users-guide.html#npcap-issues),
[developing software with
Npcap](https://npcap.com/guide/npcap-devguide.html), and [Npcap
internals](https://npcap.com/guide/npcap-internals.html).

## Downloads

The latest installer, Software Development Kit (SDK), source, and debug symbols
can be downloaded from https://npcap.com/#download

## Bug report

Please report any bugs or issues about Npcap at: [Npcap issues on
GitHub](https://github.com/nmap/npcap/issues). In your report, please provide
your
[**DiagReport**](https://npcap.com/guide/npcap-users-guide.html#npcap-issues-diagreport)
output, user software version (e.g. Nmap, Wireshark), reproduce steps and other
information you think necessary. Refer to [the Npcap Guide section on reporting
bugs](https://npcap.com/guide/npcap-users-guide.html#npcap-issues) for more
complete directions.

## License

The [Npcap License](https://github.com/nmap/npcap/blob/master/LICENSE) allows
end users to download, install, and use Npcap from our site for free on up to 5
systems (including commercial usage). Software providers (open source or
otherwise) which want to use Npcap functionality are welcome to point their
users to [npcap.com](https://npcap.com/) for those users to download and install.

We fund the Npcap project by selling [Npcap OEM](https://npcap.com/oem/). This
special version of Npcap includes enterprise features such as the silent
installer and commercial support as well as special license rights.


## Contact

* ``dev@nmap.org`` (Nmap development list, for technical issues and discussion)
* ``sales@nmap.com`` (Sales address for commercial/licensing issues)
* [Npcap Issues Tracker](https://github.com/nmap/npcap/issues/)
